// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniHTML/Forms.subproj/OHFormElementArchive.h,v 1.3 2000/01/20 00:27:51 kc Exp $

#import <OmniFoundation/OFObject.h>

#import "OHFormElementProtocol.h"

@interface OHFormElementArchive : OFObject
{
    NSString *type;
    NSArray *formValues;
}

- initWithFormElement:(id <OHFormElement>)formElement;
- initWithPropertyList:plist;

// API
- (void)resetFormElement:(id <OHFormElement>)formElement;
- propertyList;

@end
