// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniHTML/Forms.subproj/OHFormFile.h,v 1.5 2000/01/20 00:27:51 kc Exp $

#import "OHViewCell.h"

@class NSString;
@class OHForm;

#import "OHFormText.h"

@interface OHFormFile : OHFormText
{
    NSString *allowableTypes;
}

- initWithForm:(OHForm *)aForm name:(NSString *)aName types:(NSString *)fileTypes value:(NSString *)aValue alignment:(int)anAlignment width:(unsigned int)aWidth height:(unsigned int)aHeight maximumLength:(unsigned int)aMaximumLength;

- (void)findFile;
    // This must only be called from the main thread.

@end
