// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniHTML/Forms.subproj/OHFormImage.h,v 1.9 2000/01/20 00:27:51 kc Exp $

#import "OHInlineImageCell.h"

@class OHForm;
@class NSMutableString;

#import "OHFormElementProtocol.h"

@interface OHFormImage : OHInlineImageCell <OHFormElement>
{
    OHForm *nonretainedForm;
    unsigned int generatedSubmitCount;
    NSPoint submitLocation;
}

- (void)setForm:(OHForm *)aForm;

@end
