// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniHTML/Forms.subproj/OHFormInputButton.h,v 1.5 2000/01/20 00:27:52 kc Exp $

#import "OHFormButton.h"

@interface OHFormInputButton : OHFormButton
{
//    NSLock *elementStateLock;
    struct {
        unsigned int initiallyChecked:1;
        unsigned int radioMode:1;
        unsigned int currentlyChecked:1;
    } formButtonFlags;
}

- initWithForm:(OHForm *)aForm name:(NSString *)aName value:(NSString *)aValue radio:(BOOL)isRadio checked:(BOOL)isChecked;

@end
