// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniHTML/Forms.subproj/OHFormSelectMultiple.h,v 1.3 2000/01/20 00:27:52 kc Exp $

#import "OHFormSelect.h"

@class NSMatrix, NSScrollView;

@interface OHFormSelectMultiple : OHFormSelect
{
    NSScrollView *scrollView;
    NSMatrix *matrix;
    unsigned int visibleRows;
    BOOL allowMultiple;
}

- initWithForm:(OHForm *)aForm name:(NSString *)aName options:(NSArray *)someOptions visibleRows:(unsigned int)aRowCount allowMultiple:(BOOL)shouldAllowMultiple;

@end
