// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniHTML/Forms.subproj/OHFormSelectOption.h,v 1.3 2000/01/20 00:27:52 kc Exp $

#import <OmniFoundation/OFObject.h>

@interface OHFormSelectOption : OFObject
{
    NSString *text, *tag;
    BOOL initiallySelected;
}

- (NSString *)text;
- (NSString *)tag;
- (BOOL)initiallySelected;

- (void)setText:(NSString *)someText;
- (void)setTag:(NSString *)aTag;
- (void)setInitiallySelected:(BOOL)startsSelected;

@end
