// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.

#import "OHHTMLDisplayProcessor.h"

#import <Foundation/Foundation.h>
#import <OmniBase/OmniBase.h>
#import <OmniFoundation/OmniFoundation.h>
#import <OWF/OWF.h>

#import "OHImageMapSet.h"
#import "OHImageMapShape.h"

RCS_ID("$Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniHTML/ImageMap.subproj/OHHTMLDisplayProcessor-ImageMaps.m,v 1.2 2000/01/20 00:27:54 kc Exp $")

@implementation OHHTMLDisplayProcessor (ImageMaps)

#import "OHImageMapCommonCode.h"

- (void)endMapSet;
{
    OWContentCache *cache;

    if (!mapSet)
	return;
    
    cache = [pipeline contentCacheForLastAddress];
    [cache addContent:mapSet];
    [mapSet release];
    mapSet = nil;
    [currentMapName release];
    currentMapName = nil;
    [currentShapes release];
    currentShapes = nil;
}

@end
