// Copyright 1998-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniHTML/Scripting.subproj/OWScriptEventHandlerHolder.h,v 1.3 2000/01/20 00:27:57 kc Exp $

#import <OmniFoundation/OFObject.h>
#import "OWScriptEvent.h"
#import "OWScriptResponderProtocol.h"

@interface OWScriptEventHandlerHolder : OFObject <OWScriptResponder>
{
    NSLock *eventHandlerLock;
    NSMutableDictionary *eventHandlers;
}


- (BOOL)handleHTMLEvent:(OWScriptEvent *)event;

- (BOOL)handleHTMLEventsInMainThread;

- (void)setHandler:(id <OWScriptResponder>)handler forEventType:(OWScriptEventType)type;

@end
