// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniHTML/Support.subproj/OHDocumentView.h,v 1.3 2000/01/20 00:27:58 kc Exp $

#import <AppKit/NSView.h>

@class NSString;
@class NSImage;
@class OWFrameView;

#import "OHDocumentProtocol.h"
#import "OHDocumentViewProtocol.h"

@interface OHDocumentView : NSView <OHDocument, OHDocumentView>
{
    id <OHDocumentFrame> nonretainedFrameView;
    NSColor *backgroundColor;
    OWContentInfo *contentInfo;
}

+ (NSString *)contentTypeString;
+ (OWContentType *)contentType;

- (id <OHDocumentFrame>)frameView;

@end
