// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniHTML/Building.subproj/OHTextBuilderDefaultsHolder.h,v 1.3 2000/01/20 00:27:46 kc Exp $

#import <OmniFoundation/OFObject.h>

@class NSString;
@class OFUserDefaults;

@interface OHTextBuilderDefaultsHolder : OFObject
{
@public
    int lastDefaultsChangeCount;

    NSString *normalFontName;
    NSString *titleFontName;
    NSString *fixedPitchFontName;
    float normalFontSize;
    float titleFontSize;
    float fixedPitchFontSize;
    float delayFlushTime;
    struct {
        unsigned int incrementalDisplay:1;
        unsigned int underlineAnchors:1;
    } flags;
}

+ (OHTextBuilderDefaultsHolder *)defaultsHolder;

@end
