// Copyright 1998-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.

#import "OHSpacerCell.h"

#import <Foundation/Foundation.h>
#import <OmniBase/OmniBase.h>
#import <OmniFoundation/OmniFoundation.h>
#import <OWF/OWF.h>

RCS_ID("$Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniHTML/Cells.subproj/OHSpacerCell.m,v 1.3 2000/01/20 00:27:48 kc Exp $")

@implementation OHSpacerCell

- (void)setRequestedSize:(NSSize)newRequestedSize requestedWidthIsPercentage:(BOOL)requestedWidthIsPercentage requestedHeightIsPercentage:(BOOL)requestedHeightIsPercentage;
{
    if (newRequestedSize.height < 0.001)
        newRequestedSize.height = 0.001;
    if (newRequestedSize.width < 0.001)
        newRequestedSize.width = 0.001;
    [super setRequestedSize:newRequestedSize requestedWidthIsPercentage:requestedWidthIsPercentage requestedHeightIsPercentage:requestedHeightIsPercentage];
}

@end
