// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniHTML/Forms.subproj/OHFormArchive.h,v 1.3 2000/01/20 00:27:50 kc Exp $

#import <OmniFoundation/OFObject.h>

@class NSMutableArray, NSString;
@class OHForm;
@class OWAddress;

#import "OHFormElementProtocol.h"

@interface OHFormArchive : OFObject
{
    NSString *name;
    OWAddress *address;

    NSMutableArray *archivedElements;
}

+ (NSArray *)formArchivesForForms:(NSArray *)forms;
+ (void)resetForms:(NSArray *)forms fromFormArchives:(NSArray *)formArchives;

//
- initWithForm:(OHForm *)form;
- initWithPropertyList:plist;

// API
- (void)resetForm:(OHForm *)form;

- propertyList;

@end
