// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniHTML/ImageMap.subproj/OHImageMapShape.h,v 1.4 2000/01/20 00:27:55 kc Exp $

#import "OHHTMLLink.h"

@class NSArray;
@class OWAddress, OWSGMLTag;

#import <Foundation/NSGeometry.h> // For NSPoint

@interface OHImageMapShape : OHHTMLLink
{
}

+ (void)registerClass:(Class)aClass forShapeName:(NSString *)name;

+ (OHImageMapShape *)shapeForTag:(OWSGMLTag *)tag;

- initWithShapeTag:(OWSGMLTag *)tag;
- (void)setCoordinates:(NSArray *)points;

- (BOOL)containsPoint:(NSPoint)point;

@end
