// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniHTML/Tables.subproj/OHTableContainerCell.h,v 1.3 2000/01/20 00:28:02 kc Exp $

#import "OHViewCell.h"

@class OHHTMLView, OHTable;

@interface OHTableContainerCell : OHViewCell
{
    OHTable *table;
    struct {
        unsigned int doingLayout:1;
    } tableTextCellFlags;
}

- initWithTable:(OHTable *)aTable;

- (OHTable *)table;

@end
